Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454005 - If registration fails at first, you need to restart rhn_register [NEEDINFO]
Summary: If registration fails at first, you need to restart rhn_register
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Pradeep Kilambi
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-03 19:40 UTC by David Tonhofer
Modified: 2009-09-02 11:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-02 11:21:43 UTC
Target Upstream Version:
jhutar: needinfo? (pkilambi)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1354 normal SHIPPED_LIVE rhn-client-tools bug fix and enhancement update 2009-09-01 10:50:43 UTC

Description David Tonhofer 2008-07-03 19:40:59 UTC
Description of problem:

Tried to register a machine upgraded from RHES4->RHES5. Entered an installation
number at firstboot - a bad one unfortunately, which doesn't even show up in Red
Hat subscription mgt any longer.

Anyway, once network is up, I run rhn_register from commandline. It contacts
RHN, then complains that there are no entitlements available and that I either
have to 

- unentitle a system
- buy moar entitlements
- enter another installation number

At this point, kafkaesque shit comes down. Whilr staying in rhn_register, I
unentitle a system, try my installation numbers with and without dashes, in caps
or not, I always get the error message the the "installation number is incorrect".

Finally I decide to get out of rhn_register and restart it. Bingo - registration
works first time. 

Version-Release number of selected component (if applicable):

rhn-setup-0.4.17-8.el5

How reproducible:

Didn't try. 
  
Actual results:

Confusing error message about the syntax of the installation number is seen.

Expected results:

Installation number should pass with flying colors and system should be
registered pretty immediately. Or else rhn_register should say "please restart
rhn_register".

Comment 17 errata-xmlrpc 2009-09-02 11:21:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1354.html


Note You need to log in before you can comment on or make changes to this bug.